<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

namespace Plesk\MigrationLibV8\SiteImport\Entity\ImportOperation;

class Database
{
    /** @var string */
    private $_name;
    /** @var string */
    private $_host;
    /** @var string */
    private $_port;
    /** @var string */
    private $_username;
    /** @var string */
    private $_password;

    /**
     * Database constructor.
     *
     * @param $name string
     * @param $host string
     * @param $port string
     * @param $username string
     * @param $password string
     */
    public function __construct($name, $host, $port, $username, $password)
    {
        $this->_name = $name;
        $this->_host = $host;
        $this->_port = $port;
        $this->_username = $username;
        $this->_password = $password;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->_name;
    }

    /**
     * @return string
     */
    public function getHost()
    {
        return $this->_host;
    }

    /**
     * @return string
     */
    public function getPort()
    {
        return $this->_port;
    }

    /**
     * @return string
     */
    public function getUsername()
    {
        return $this->_username;
    }

    /**
     * @return string
     */
    public function getPassword()
    {
        return $this->_password;
    }
}
